﻿namespace NBAManagement.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;
    using System.Drawing.Imaging;
    using System.IO;

    public partial class Image
    {
        public int Id { get; set; }

        [Required]
        public byte[] Img { get; set; }

        [StringLength(50)]
        public string Description { get; set; }

        public int NumberOfLike { get; set; }

        public DateTime CreateTime { get; set; }

        //код с Gpt, ошибка та же что и с кодом ниже
        //public void SaveAsFile(string filePath, ImageFormat format)
        //{
        //    if (Img == null || Img.Length == 0)
        //    {
        //        throw new ArgumentException("Изображение не может быть null или пустым.", nameof(Img));
        //    }

        //    using (var ms = new MemoryStream(Img))
        //    {
        //        var image = System.Drawing.Image.FromStream(ms);
        //        image.Save(filePath, format);
        //    }
        //}


        public void SaveAsFile(string filePath, ImageFormat format)
        {
            using (var ms = new MemoryStream(Img))//ошибка в этой строке 
            {
                var image = System.Drawing.Image.FromStream(ms);
                image.Save(filePath, format);
            }
        }
    }
}
